/*
 * patchlevel.h -- defines the version and patchlevel for 
 *                 Problem Tracking System/Xpts.
 * Dean Collins -- Tue Nov 23 12:14:46 1993
 */

#define SOFTWARE	"PTS/Xpts"
#define VERSION		"1"
#define PATCHLEVEL	"03"
#define COPYRIGHT \
	"Copyright (c) 1992,1993 Dean Collins, Chris Hyde, Luke Sheneman,\n"\
	"                        Brian Goff, and John Hunter.\n"\
	"Copyright (c) 1992 University of Idaho, Moscow, Idaho." 
#define AUTHORS	"Zombie Software"
#define AUTHORS_EMAIL	"dean@cs.uidaho.edu or dean@uidaho.edu"

#define Version()	SOFTWARE " Version " VERSION "." PATCHLEVEL
#define Copyright()	COPYRIGHT
#define Authors()	AUTHORS
#define AuthorsEmail()	AUTHORS_EMAIL

#ifdef __DATE__
#define CompileDate()	__DATE__
#else
#define CompileDate()	""
#endif
#ifdef __TIME__
#define CompileTime()	__TIME__
#else
#define CompileTime()	""
#endif

/* end of patchlevel.h */
