/*
 * popup.h -- Function prototypes for popup.c.
 * Dean Collins -- Mon Feb  8 21:17:40 PST 1993
 */

/*
 * Copyright (c) 1992,1993 Dean Collins.
 * Copyright (c) 1992 University of Idaho, Moscow, Idaho.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation free of charge for any purpose is hereby granted without
 * fee, provided that the above copyright notices appear in all copies and
 * that both those copyright notices and this permission notice appear in
 * supporting documentation, and that neither the name of the University of
 * Idaho nor the name of Dean Collins be used in advertising or publicity
 * pertaining to distribution of the software without specific, written
 * prior permission from both parties.  Neither The University of Idaho
 * nor Dean Collins make any representations about the suitability of
 * this software for any purpose.  It is provided "as is" without express
 * or implied warranty.
 * 
 * THE UNIVERSITY OF IDAHO AND DEAN COLLINS DISCLAIM ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL THE UNIVERSITY OF IDAHO
 * OR DEAN COLLINS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 */


void ButtonPopup(String name, Widget *popupp, Widget parent, Widget *buttonp) ;
void    DestroyPopup(Widget w, XtPointer client_data, XtPointer call_data) ;
void    EditMOTDPopup(Widget w, Widget parent) ;
void	ErrorPopup(String name, Widget parent, String message) ;
void    HelpPopup(Widget w, XtPointer client_data, XtPointer call_data) ;
void    InfoPopup(Widget w, XtPointer client_data, XtPointer call_data) ;
void	ListPopup(String  name,
		  int     columns,
	          Widget *popupp,
		  Widget  parent,
		  Widget *listp,
	          Widget *buttonBoxp,
		  Widget *quitButtonp) ;
void    PickProblemPopup(Widget w, Widget parent) ;
void    ProblemEntryPopup(Widget w, XtPointer client_data, XtPointer call_data);
void	ProblemViewerPopup(String       name,
	                   Widget      *probViewerp,
	                   Widget       parent,
	                   Widget      *dialog1p,
	                   Widget      *dialog2p,
	                   Widget      *dialog3p,
	                   Widget      *textp,
	                   Widget      *editp) ;
void    ShowAllUnsolvedPopup(Widget w, Widget parent) ;
void	StringEntryPopup(String     name,
	                 Widget    *popupp,
	                 Widget     parent,
	                 String     prompt,
	                 XtPointer  successFunc) ;
void    SysopMenuPopup(Widget w, Widget parent) ;
void	ViewTextPopup(String     name,
	              Widget    *popupp,
	              Widget     parent,
	              Widget    *textp,
	              Widget    *buttonBoxp,
	              Widget    *quitButtonp) ;
void	WarningPopup(String     name,
	             Widget     parent,
	             String     message,
	             XtPointer  ok_func,
	             XtPointer  ok_client_data) ;

/* end of popup.h */
